Bug 1924801 - Disable Python 2 Dist RPM Generators and Freeze Python 2 Macros
Summary: Disable Python 2 Dist RPM Generators and Freeze Python 2 Macros
Keywords:
Status: ON_QA
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: F34Changes
TreeView+ depends on / blocked
 
Reported: 2021-02-03 16:13 UTC by Ben Cotton
Modified: 2021-02-09 14:40 UTC (History)
1 user (show)

Fixed In Version: python2.7-2.7.18-9.fc34, python-rpm-macros-3.9-34.fc34, python-rpm-generators-12-1.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---


Attachments (Terms of Use)

Description Ben Cotton 2021-02-03 16:13:42 UTC
This is a tracking bug for Change: Disable Python 2 Dist RPM Generators and Freeze Python 2 Macros
For more details, see: https://fedoraproject.org/wiki/Changes/Disable_Python_2_Dist_RPM_Generators_and_Freeze_Python_2_Macros

The python2.7dist() and python2dist() automatic provides/requires from python-rpm-generators will no longer be automatically generated, no functional packages in Fedora use them. The python(abi) = 2.7 automatic provides/requires will be kept.

Comment 1 Miro Hrončok 2021-02-03 17:18:23 UTC
Disable the python2dist()/python2.7dist() dependency generators: https://src.fedoraproject.org/rpms/python-rpm-generators/pull-request/28

Comment 3 Miro Hrončok 2021-02-03 22:56:10 UTC
Builds in https://copr.fedorainfracloud.org/coprs/g/python/python2_macros_chnages/ (sorry for the typo in name)

Comment 4 Fedora Update System 2021-02-08 14:53:00 UTC
FEDORA-2021-a525a8e087 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 5 Miro Hrončok 2021-02-08 14:54:40 UTC
This is done from my perspective.

Leaving this ON_QA for real world testing.


Note You need to log in before you can comment on or make changes to this bug.